https://prefect.io logo
Title
e

emmanuel

08/07/2020, 9:23 AM
Hey there, I’ve just started exploring Prefect locally with the Prefect OSS server and I came across a couple of basic issues: • I can’t create any project from the local UI: I get a failure message (with no explanation and nothing specific in the logs the docker containers). I could create the project tho by direct insertion in the PG database. • When I run a local agent locally, it registers properly with the graphql server but it doesn’t show up in the local ui agent dashboard (or I didn’t find that part of the dashboard) • After registering a flow, I can’t get it to start from the UI, it complains about
tenant
being
None
🤷‍♂️
That’s what I got from the logs:
graphql_1   | The above exception was the direct cause of the following exception:
graphql_1   |
graphql_1   | Traceback (most recent call last):
graphql_1   |   File "/usr/local/lib/python3.7/site-packages/graphql/execution/execute.py", line 674, in await_completed
graphql_1   |     return await completed
graphql_1   |   File "/usr/local/lib/python3.7/site-packages/graphql/execution/execute.py", line 659, in await_result
graphql_1   |     return_type, field_nodes, info, path, await result
graphql_1   |   File "/usr/local/lib/python3.7/site-packages/graphql/execution/execute.py", line 733, in complete_value
graphql_1   |     raise result
graphql_1   |   File "/usr/local/lib/python3.7/site-packages/graphql/execution/execute.py", line 628, in await_result
graphql_1   |     return await result
graphql_1   |   File "/prefect-server/src/prefect_server/graphql/extensions.py", line 52, in resolve
graphql_1   |     result = await result
graphql_1   |   File "/prefect-server/src/prefect_server/graphql/runs.py", line 33, in resolve_create_flow_run
graphql_1   |     idempotency_key=input.get("idempotency_key"),
graphql_1   |   File "/prefect-server/src/prefect_server/api/runs.py", line 70, in create_flow_run
graphql_1   |     version_group_id=version_group_id,
graphql_1   |   File "/prefect-server/src/prefect_server/api/runs.py", line 168, in _create_flow_run
graphql_1   |     await api.states.set_flow_run_state(flow_run_id=flow_run_id, state=state)
graphql_1   |   File "/prefect-server/src/prefect_server/api/states.py", line 140, in set_flow_run_state
graphql_1   |     tenant=flow_run.tenant,
graphql_1   |   File "pydantic/main.py", line 338, in pydantic.main.BaseModel.__init__
graphql_1   | graphql.error.graphql_error.GraphQLError: 1 validation error for FlowRunStateChange
graphql_1   | tenant
graphql_1   |   none is not an allowed value (type=type_error.none.not_allowed)
graphql_1   |
graphql_1   | GraphQL request:2:3
graphql_1   | 2 |   create_flow_run(input: {context: $context, flow_id: $id, flow_run_name: $flowR
graphql_1   |   |   ^
graphql_1   |   | unName, parameters: $parameters, scheduled_start_time: $scheduledStartTime}) {